[Nextcloud](https://nextcloud.com/) with postgres backend.

Seperately installed apps are not persistent because there is no possibility of
setting the app_path with occ.

# Volumes
- `/var/lib/nextcloud/data`
- `/var/lib/nextcloud/config`

# Environment Variables
## DOMAIN
Domain where the nextcloud instance is reachable.

## MAX_UPLOAD_SIZE
- default: 512M

Maximal upload size of a file.

## DB_HOST
Database host.

## DB_PORT
Database port.

## DB_NAME
Database name.

## DB_USER
Database user.

## DB_PASSWORD
Password for the database user.

## IMAP_AUTH_HOST
AUthentication string for the IMAP authentication.

For example `mail.example.com:143/imap/tls`

## MAIL_DOMAIN
Domain part in the from address for notification emails.

## MAIL_FROM
Local part in the from address for notification emails.

## MAIL_SMTP_HOST
SMTP host used for notification emails.

## MAIL_SMTP_PORT
- default: 587

SMTP host port.

## MAIL_SMTP_SECURITY
- default: tls

Connection security for the SMTP host.

## MAIL_SMTP_AUTH
- default: 1

Whether to use authentication with the SMTP host.

## MAIL_SMTP_AUTH_TYPE
- default: PLAIN

Authentication type for the SMTP host.

## MAIL_SMTP_NAME
Username for SMTP authentication.

## MAIL_SMTP_PASSWORD
Password for SMTP authentication.

## ASSUME_HTTPS
- default: on
The value of `fastcgi_param HTTPS`.

Either `on` or `off`.

# Ports
- 80

# Capabilities
- CHOWN
- DAC_OVERRIDE
- NET_BIND_SERVICE
- FOWNER
- SETGID
- SETUID
